import numpy as np  
from numpy import pi, inf  

name = 'six_shells_01'
title = 'title'
description = 'description'
category = 'shapes:six_shells_01'

parameters = [
['t_c', 'nm', 3., [0., inf], '',''],
['t_h', 'nm', 1., [0., inf], '',''],
['t_p_in', 'nm', 5., [0., inf], '',''],
['t_p_out', 'nm', 7., [0., inf], '',''],
['rho_c', 'e-/nm', 260., [0., inf], '',''],
['rho_h', 'e-/nm', 420., [0., inf], '',''],
['rho_p_in', 'e-/nm', 350., [0., inf], '',''],
['rho_p_out', 'e-/nm', 380., [0., inf], '',''],
['rho_s_in', 'e-/nm', 334., [0., inf], '',''],
['rho_s_out', 'e-/nm', 334., [0., inf], '',''],
['R_median', 'nm', 45., [0., inf], '',''],
['sigma_R', 'nm', 9., [0., inf], '',''],
['n_pts', '', 200, [0., inf], '',''],
['n_sigs', '', 8, [0., inf], '',''],
['polyparam', '', 2, [1, 3], '',''],
['constraint', '', 6./45., [0., inf], '','']
]

# ~ parameters = [
# ~ ['t_c', 'nm', 0., [0., inf], '',''],
# ~ ['t_h', 'nm', 0., [0., inf], '',''],
# ~ ['t_p_in', 'nm', 0., [0., inf], '',''],
# ~ ['t_p_out', 'nm', 0., [0., inf], '',''],
# ~ ['rho_c', 'e-/nm', 0., [0., inf], '',''],
# ~ ['rho_h', 'e-/nm', 0., [0., inf], '',''],
# ~ ['rho_p_in', 'e-/nm', 0., [0., inf], '',''],
# ~ ['rho_p_out', 'e-/nm', 0., [0., inf], '',''],
# ~ ['rho_s_in', 'e-/nm', 4553., [0., inf], '',''],
# ~ ['rho_s_out', 'e-/nm', 334., [0., inf], '',''],
# ~ ['R_median', 'nm', 45., [0., inf], '',''],
# ~ ['sigma_R', 'nm', 1., [0., inf], '',''],
# ~ ['n_pts', '', 200, [0., inf], '',''],
# ~ ['n_sigs', '', 8, [0., inf], '',''],
# ~ ['polyparam', '', 2, [1, 3], '',''],
# ~ ['constraint', '', 6./45., [0., inf], '','']
# ~ ]

source = ['lib/sas_3j1x_x.c','six_shells_01.c']

def ER(*arg):
    return 1
